<!DOCTYPE html>
<html lang="pt-br">
<head>
    <meta charset="UTF-8">
    <title>JavaScript Exercício</title>
    <script>
        function calcularIMC() {
            var altura = document.getElementById("altura").value;
            var peso   = document.getElementById("peso").value;
            altura /= 100;
            var imc = (peso / (altura * altura)).toFixed(2); <!-- toFixed formata o número de dígitos que aparecem após a vírgula decimal-->
            document.getElementById("resultadoIMC").innerHTML = "IMC: <strong>" + imc + "</strong>"; <!-- InnerHTML retorna o conteúdo HTML de um elemento encontrado na página pelo método getElementById('ID')-->
        }
    </script>
</head>
<body>
<h1>Exercício 06</h1>
<label for="altura">Altura (cm): </label> <!--a tag label muda a cor do botão quando passa o mouse em cima-->
<input id="altura" type="number" min="100" max="250"><br>
<p>
<label for="peso">Peso (kg): </label>
<input id="peso" type="number" min="0" max="250"><br>
</p>
<button onclick="calcularIMC()">Calcular o IMC</button>
<div id="resultadoIMC"></div>
<div id="extra"></div>
<pre> <!-- texto pre formatado, faz o texto ficar exatamente como digitado -->
***************************************************************
|    IMC          |          CATEGORIA                        |
|-------------------------------------------------------------|
| Até 18,5        |  Abaixo do peso                           |
| De  18,5 - 24,9 |  Saudável                                 |
| De  25,0 - 29,9 |  Sobrepeso                                |
| De  30,0 - 39,9 |  Obeso                                    |
| Acima de 40     |  Extremo ou alto risco de obesidade       |
***************************************************************
      </pre>
</body>
</html>